Summary: A window manager for the X Window System.
Name: WindowMaker
Version: 0.62.1
Release: 14
Copyright: GPL
Group: User Interface/Desktops
Source0: ftp://windowmaker.org/pub/beta/srcs/WindowMaker-%{version}.tar.bz2
Source1: ftp://windowmaker.org/pub/WindowMaker-data.tar.gz
Source2: WindowMaker-asclock.tar.gz
%define Extras extra-0.1
Source3: ftp://windowmaker.org/pub/WindowMaker-%{Extras}.tar.gz
Patch2: WindowMaker-0.62.1-wmclock.patch
Patch3: WindowMaker-0.51.0-areas.patch
Patch4: WindowMaker-0.51.2-runinst.patch
Patch5: WindowMaker-0.62.2-mmx.patch
Patch6: WindowMaker-0.62.1-IconPosition.patch
Patch7: WindowMaker-0.62.1-acrobar.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libPropList, cpp
Provides: windowmanager

%description
Window Maker is an X11 window manager which emulates the look
and feel of the NeXTSTEP (TM) graphical user interface. It is
relatively fast, feature rich and easy to configure and use. 
Window Maker is part of the official GNU project, which means that 
Window Maker can interoperate with other GNU projects, such as
GNOME.

Window Maker allows users to switch themes 'on the fly,' to place
favorite applications on either an application dock, similar to
AfterStep Wharf or on a workspace dock, a 'clip' which extends
the application dock's usefulness.

You should install the WindowMaker package if you use Window
Maker as your window manager or if you'd like to try using it.
If you do install the WindowMaker package, you may also want
to install the AfterStep-APPS package, which includes
applets that will work with both the AfterStep and Window Maker
window managers.

%package -n WindowMaker-libs
Summary:  Libraries bundled with WindowMaker
Group: Development/Libraries
Obsoletes: libwraster,libwraster-devel

%description -n WindowMaker-libs
These libraries come bundled with WindowMaker, but are also used
in other packages like AfterStep-APPS and wmakerconf

%prep
%setup -q -a 1 -a 2 -a 3
%patch2 -p1 
%patch3 -p1
%patch4 -p1
%patch5 -p1 -b .mmx
%patch6 -p1
%patch7 -p1

%build
LINGUAS="cs da de el es fi fr gl hr it ja ko nl no pl pt ro ru se sk tr"
NLSDIR=/usr/share/locale
export NLSDIR LINGUAS

%define _sysconfdir /etc/X11
%define optflags -g
# patch5 needs autoconf to run
autoconf
%configure --enable-newstyle --enable-superfluous \
	--enable-kde --enable-gnome --with-appspath=/usr/lib/GNUstep/Apps
make
cp -f asclock/asclock.man asclock/wmclock.man
make Makefile -C asclock
make -C asclock

%install
rm -rf $RPM_BUILD_ROOT
cp -f WindowMaker/plmenu WindowMaker/Defaults/WMRootMenu
%makeinstall wprefsdir=$RPM_BUILD_ROOT/usr/lib/GNUstep/Apps/WPrefs.app \
	wpexecbindir=$RPM_BUILD_ROOT/usr/lib/GNUstep/Apps/WPrefs.app \
	wpdatadir=$RPM_BUILD_ROOT/usr/lib/GNUstep/Apps/WPrefs.app \
	NLSDIR=$RPM_BUILD_ROOT/usr/share/locale 

mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 644 WindowMaker-data/pixmaps/* $RPM_BUILD_ROOT/usr/share/pixmaps
for i in $(ls */README) ; do
    echo $i | sed -e "s|\(.*\)/\(.*\)|\2\.\1|" | xargs cp $i
done
make install DESTDIR=$RPM_BUILD_ROOT -C asclock


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -p /sbin/ldconfig -n WindowMaker-libs
%postun -p /sbin/ldconfig -n WindowMaker-libs

%files
%defattr(-,root,root)
%dir /etc/X11/WindowMaker
%config /etc/X11/WindowMaker/*
%doc AUTHORS BUGFORM BUGS ChangeLog NEWS FAQ* README
%doc TODO MIRRORS README*
/usr/bin/*
/usr/X11R6/bin/*
/usr/lib/GNUstep/Apps/WPrefs.app

/usr/share/WindowMaker
/usr/share/locale/*/*/*
/usr/share/pixmaps/*
/usr/share/WINGs
%{_mandir}/*/*

%files -n WindowMaker-libs
%defattr(-,root,root)
/usr/lib/lib*
/usr/include/*

%changelog
* Wed Aug  9 2000 Crutcher Dunnavant <crutcher@redhat.com>
- Fixed some menu typos (BUG#15811)

* Wed Aug  2 2000 Matt Wilson <msw@redhat.com>
- rebuild against new libpng

* Tue Jul 18 2000 Crutcher Dunnavant <crutcher@redhat.com>
- Changed the default icon position to Top Right Horizontal

* Wed Jul 15 2000 Crutcher Dunnavant <crutcher@redhat.com>
- disable mmx, it generates bad pixmap code in 16 bpp

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Sat Jun 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- added %%defattr to WindowMaker-libs

* Fri Jun 09 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%configure, %%{_mandir}, %%makeinstall and
  %%{_tmppath}
- Many minor changes to spec file to make it build

* Fri May 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- remove patch which adds wmconfig support
- remove patch which XFree86 4 patch - no longer necesarry
- add tr and sk to LINGUAS

* Fri May 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- let system handle stripping and gzipping
- remove exec-prefix
- add version to name of buildroot

* Mon May 1 2000 Trond Eivind Glomsrd <teg@redhat.com>
- renamed libwraster to WindowMaker-libs, and added 
  the other headers and libraries.

* Tue Apr 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix build

* Mon Apr 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fixed a missing "," in WMRootMenu
- run ldconfig after installing libwraster

* Wed Apr 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- gzipped man pages
- split off wraster into a separate package

* Tue Apr 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- version 0.62.1
- redid two of the patches

* Tue Feb 15 2000 Preston Brown <pbrown@redhat.com>
- provides windowmanager

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- version 0.61.1

* Wed Sep 29 1999 Cristian Gafton <gafton@redhat.com>
- get patch from CVS to fix the OPEN_MENU problems
- Fixed the totally broken session save function so that WindowMaker will
  stop segfaulting on exit for good.

* Fri Sep 24 1999 Cristian Gafton <gafton@redhat.com>
- version 0.61.0

* Fri Sep 10 1999 Cristian Gafton <gafton@redhat.com>
- fix default menu problem

* Thu Sep 02 1999 Cristian Gafton <gafton@redhat.com>
- version 0.60.0

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- fixed up default config (dock was empty...)

* Thu Apr 15 1999 Cristian Gafton <gafton@redhat.com>
- version 0.52.0

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- fixed problem with running wmaker.inst in batch mode (forgot comma)

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- fixed icon problems
- run wmaker.inst in batch mode if no ~/GNUstep/Library/WindowMaker dir exists

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Thu Apr 01 1999 Cristian Gafton <gafton@redhat.com>
- requires cpp

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Mar 17 1999 Cristian Gafton <gafton@redhat.com>
- make sure we get the full distribution
- run ldconfig in the post script

* Mon Feb 15 1999 The Rasterman <raster@redhat.com>
- added gnome winhints areas support fix.

* Tue Feb 02 1999 Cristian Gafton <gafton@redhat.com>
- version 0.51.0
